pandoc-2.5: Conversion between markup formats

Copyright | Copyright (C) 2012-2018 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.PDF

Description

Conversion of LaTeX documents to PDF.

# Documentation

makePDF Source #

Arguments

:: String | pdf creator (pdflatex, lualatex, xelatex, wkhtmltopdf, weasyprint, prince, context, pdfroff, or path to executable)
-> [String] | arguments to pass to pdf creator
-> (WriterOptions -> Pandoc -> PandocIO Text) | writer
-> WriterOptions | options
-> Pandoc | document
-> PandocIO (Either ByteString ByteString) |